jif.ast

## Interface LabelLeAssertionNode

- All Superinterfaces:
    java.lang.Cloneable, ConstraintNode<LabelLeAssertion>, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, java.io.Serializable
  All Known Implementing Classes:
    LabelLeAssertionNode_c

      public interface LabelLeAssertionNode
      extends ConstraintNode<LabelLeAssertion>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LabelNode` | `lhs()` Gets the lhs Label.
    `LabelLeAssertionNode` | `lhs(LabelNode lhs)` Returns a copy of this node with the lhs updated.
    `LabelNode` | `rhs()` Gets the rhs Label.
    `LabelLeAssertionNode` | `rhs(LabelNode rhs)` Returns a copy of this node with the rhs updated.

    - ### Methods inherited from interface jif.ast.ConstraintNode

      `constraints, constraints`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### lhs

          LabelNode lhs()

      Gets the lhs Label.

    - #### lhs

          LabelLeAssertionNode lhs(LabelNode lhs)

      Returns a copy of this node with the lhs updated.

    - #### rhs

          LabelNode rhs()

      Gets the rhs Label.

    - #### rhs

          LabelLeAssertionNode rhs(LabelNode rhs)

      Returns a copy of this node with the rhs updated.